# Define _make_verbose if it doesn't exist (RHEL8)
%{!?_make_verbose:%define _make_verbose V=1 VERBOSE=1}

Name:           freenginx-mod-echo
Version:        0.63
Release:        3%{?dist}
Summary:        freenginx echo module
License:        BSD-2-Clause
URL:            https://github.com/openresty/echo-nginx-module
Packager:       Teddysun <i@teddysun.com>
Source0:        https://github.com/openresty/echo-nginx-module/archive/refs/tags/v%{version}.tar.gz#/echo-nginx-module-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  freenginx-mod-devel

%description
Brings "echo", "sleep", "time", "exec" and more shell-style goodies to Nginx config file.

%prep
%autosetup -n echo-nginx-module-%{version}


%build
%freenginx_modconfigure
%freenginx_modbuild


%install
pushd %{_vpath_builddir}
install -dm 0755 %{buildroot}%{freenginx_moddir}
install -pm 0755 ngx_http_echo_module.so %{buildroot}%{freenginx_moddir}
popd

install -dm 0755 %{buildroot}%{freenginx_modconfdir}
echo 'load_module "%{freenginx_moddir}/ngx_http_echo_module.so";' \
    > %{buildroot}%{freenginx_modconfdir}/mod-echo.conf


%files
%license LICENSE
%doc README.markdown
%{freenginx_moddir}/ngx_http_echo_module.so
%{freenginx_modconfdir}/mod-echo.conf

%changelog
* Thu Apr 24 2025 Teddysun <i@teddysun.com> - 0.63-3
- Rebuild for freenginx 1.28.0

* Thu Apr 17 2025 Teddysun <i@teddysun.com> - 0.63-2
- Rebuild for freenginx 1.27.6

* Mon Apr 07 2025 Teddysun <i@teddysun.com> - 0.63-1
- Initial packaging version 0.63 for freenginx 1.27.4
